_ISR_SysTick:
;Lpix_Main.mpas,21 :: 		begin
;Lpix_Main.mpas,22 :: 		Inc(Tick_Cnt);
MOVW	R1, #lo_addr(_Tick_Cnt+0)
MOVT	R1, #hi_addr(_Tick_Cnt+0)
LDRSH	R0, [R1, #0]
ADDS	R0, R0, #1
SXTH	R0, R0
STRH	R0, [R1, #0]
;Lpix_Main.mpas,24 :: 		If Tick_Cnt > 10 then
CMP	R0, #10
IT	LE
BLE	L__ISR_SysTick2
;Lpix_Main.mpas,26 :: 		Tick_Cnt := 0;
MOVS	R1, #0
SXTH	R1, R1
MOVW	R0, #lo_addr(_Tick_Cnt+0)
MOVT	R0, #hi_addr(_Tick_Cnt+0)
STRH	R1, [R0, #0]
;Lpix_Main.mpas,27 :: 		LEDR := Not(LEDR);
MOVW	R0, #lo_addr(LEDR+0)
MOVT	R0, #hi_addr(LEDR+0)
_LX	[R0, ByteOffset(LEDR+0)]
UBFX	R0, R1, BitPos(LEDR+0), #1
EOR	R2, R0, #1
MOVW	R1, #lo_addr(LEDR+0)
MOVT	R1, #hi_addr(LEDR+0)
_LX	[R1, ByteOffset(LEDR+0)]
BFI	R0, R2, BitPos(LEDR+0), #1
_SX	[R1, ByteOffset(LEDR+0)]
;Lpix_Main.mpas,28 :: 		end;
L__ISR_SysTick2:
;Lpix_Main.mpas,29 :: 		end;
L_end_ISR_SysTick:
BX	LR
; end of _ISR_SysTick
_System_Tick_ms:
;Lpix_Main.mpas,35 :: 		begin
; mSec start address is: 0 (R0)
VMOV.F32	S1, S0
; mSec end address is: 0 (R0)
; mSec start address is: 4 (R1)
;Lpix_Main.mpas,37 :: 		imSec := Clock_Mhz * 1000 * mSec;
MOVW	R1, #61440
MOVT	R1, #18514
VMOV	S0, R1
VMUL.F32	S0, S0, S1
; mSec end address is: 4 (R1)
VCVT	#1, .F32, S0, S0
VMOV	R2, S0
; imSec start address is: 0 (R0)
MOV	R0, R2
;Lpix_Main.mpas,38 :: 		If imSec > $FFFFFF then imSec := $FFFFFF;
MVN	R1, #-16777216
CMP	R2, R1
IT	LE
BLE	L__System_Tick_ms33
MVN	R0, #-16777216
; imSec end address is: 0 (R0)
IT	AL
BAL	L__System_Tick_ms6
L__System_Tick_ms33:
L__System_Tick_ms6:
;Lpix_Main.mpas,40 :: 		STK_LOAD            := imSec; // 0xE000E014 Reload value when timer reaches 0
; imSec start address is: 0 (R0)
MOVW	R1, #lo_addr(STK_LOAD+0)
MOVT	R1, #hi_addr(STK_LOAD+0)
STR	R0, [R1, #0]
; imSec end address is: 0 (R0)
;Lpix_Main.mpas,41 :: 		STK_VAL             := 0;     // 0xE000E018 Set Curent Value Register
MOVS	R2, #0
MOVW	R1, #lo_addr(STK_VAL+0)
MOVT	R1, #hi_addr(STK_VAL+0)
STR	R2, [R1, #0]
;Lpix_Main.mpas,44 :: 		STK_CTRL.B0         := 1;     // 0xE000E010 B0 Enable SysTick Timer
MOVW	R2, #lo_addr(STK_CTRL+0)
MOVT	R2, #hi_addr(STK_CTRL+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #1
STR	R1, [R2, #0]
;Lpix_Main.mpas,45 :: 		STK_CTRL.TICKINT    := 1;     // 0xE000E010 B1 Enable SysTick Interrupt
MOVW	R2, #lo_addr(STK_CTRL+0)
MOVT	R2, #hi_addr(STK_CTRL+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #2
STR	R1, [R2, #0]
;Lpix_Main.mpas,46 :: 		STK_CTRL.CLKSOURCE  := 1;     // 0xE000E010 B2 Use processor free runing clock
MOVW	R2, #lo_addr(STK_CTRL+0)
MOVT	R2, #hi_addr(STK_CTRL+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #4
STR	R1, [R2, #0]
;Lpix_Main.mpas,47 :: 		end;
L_end_System_Tick_ms:
BX	LR
; end of _System_Tick_ms
_GPIO_Init:
;Lpix_Main.mpas,53 :: 		begin
SUB	SP, SP, #24
STR	LR, [SP, #0]
;Lpix_Main.mpas,55 :: 		__HAL_RCC_GPIOB_CLK_ENABLE();
BL	___HAL_RCC_GPIOB_CLK_ENABLE+0
;Lpix_Main.mpas,57 :: 		GPIOInit.Pin       := GPIO_PIN_7 or GPIO_PIN_14;
MOVW	R0, #16512
STR	R0, [SP, #4]
;Lpix_Main.mpas,58 :: 		GPIOInit.Mode      := GPIO_MODE_OUTPUT_PP;
MOV	R0, #1
STR	R0, [SP, #8]
;Lpix_Main.mpas,59 :: 		GPIOInit.Pull      := GPIO_NOPULL;
MOV	R0, #0
STR	R0, [SP, #12]
;Lpix_Main.mpas,60 :: 		GPIOInit.Speed     := GPIO_SPEED_FREQ_VERY_HIGH;
MOV	R0, #3
STR	R0, [SP, #16]
;Lpix_Main.mpas,61 :: 		GPIOInit.Alternate := 0;
MOVS	R0, #0
STR	R0, [SP, #20]
;Lpix_Main.mpas,63 :: 		HAL_GPIO_Init ( @mmGPIOB, @GPIOInit );
ADD	R0, SP, #4
MOV	R1, R0
MOVW	R0, #lo_addr(mmGPIOB+0)
MOVT	R0, #hi_addr(mmGPIOB+0)
BL	_HAL_GPIO_Init+0
;Lpix_Main.mpas,66 :: 		__HAL_RCC_GPIOC_CLK_ENABLE();
BL	___HAL_RCC_GPIOC_CLK_ENABLE+0
;Lpix_Main.mpas,68 :: 		GPIOInit.Pin       := GPIO_PIN_13;
MOVW	R0, #8192
STR	R0, [SP, #4]
;Lpix_Main.mpas,69 :: 		GPIOInit.Mode      := GPIO_MODE_Input;
MOV	R0, #0
STR	R0, [SP, #8]
;Lpix_Main.mpas,70 :: 		GPIOInit.Pull      := GPIO_NOPULL;
MOV	R0, #0
STR	R0, [SP, #12]
;Lpix_Main.mpas,71 :: 		GPIOInit.Speed     := GPIO_SPEED_FREQ_VERY_HIGH;
MOV	R0, #3
STR	R0, [SP, #16]
;Lpix_Main.mpas,72 :: 		GPIOInit.Alternate := 0;
MOVS	R0, #0
STR	R0, [SP, #20]
;Lpix_Main.mpas,74 :: 		HAL_GPIO_Init ( @mmGPIOC, @GPIOInit );
ADD	R0, SP, #4
MOV	R1, R0
MOVW	R0, #lo_addr(mmGPIOC+0)
MOVT	R0, #hi_addr(mmGPIOC+0)
BL	_HAL_GPIO_Init+0
;Lpix_Main.mpas,75 :: 		end;
L_end_GPIO_Init:
LDR	LR, [SP, #0]
ADD	SP, SP, #24
BX	LR
; end of _GPIO_Init
_Ether_UDP:
;Lpix_Main.mpas,83 :: 		begin
; Pkts start address is: 12 (R3)
SUB	SP, SP, #8
STR	LR, [SP, #0]
; Pkts end address is: 12 (R3)
; Pkts start address is: 12 (R3)
; DatLen start address is: 28 (R7)
LDR	R7, [SP, #8]
;Lpix_Main.mpas,84 :: 		GetDWord ( @Pkts.Rcv.Buf[cOfs_UDP_Data  ], ID );
ADDS	R4, R3, #4
ADDW	R5, R4, #42
ADD	R4, SP, #4
MOV	R1, R4
MOV	R0, R5
BL	_GetDWord+0
;Lpix_Main.mpas,85 :: 		LEDB := (ID <> Eth_Connect.ID);
MOVW	R4, #lo_addr(_Eth_Connect+4)
MOVT	R4, #hi_addr(_Eth_Connect+4)
LDR	R5, [R4, #0]
LDR	R4, [SP, #4]
CMP	R4, R5
MOVW	R6, #0
BEQ	L__Ether_UDP38
MVN	R6, #0
L__Ether_UDP38:
MOVW	R5, #lo_addr(LEDB+0)
MOVT	R5, #hi_addr(LEDB+0)
_LX	[R5, ByteOffset(LEDB+0)]
BFI	R4, R6, BitPos(LEDB+0), #1
_SX	[R5, ByteOffset(LEDB+0)]
;Lpix_Main.mpas,87 :: 		If Pkts.Rcv.Buf[cOfs_UDP_Data+8] = $00 then Exit;
ADDS	R4, R3, #4
ADDS	R4, #50
LDRB	R4, [R4, #0]
CMP	R4, #0
IT	NE
BNE	L__Ether_UDP11
; Pkts end address is: 12 (R3)
; DatLen end address is: 28 (R7)
IT	AL
BAL	L_end__Ether_UDP
L__Ether_UDP11:
;Lpix_Main.mpas,88 :: 		SetDWord ( @Pkts.Snd.Buf[cOfs_UDP_Data  ], ID );
; DatLen start address is: 28 (R7)
; Pkts start address is: 12 (R3)
ADD	R4, R3, #1528
ADDS	R4, R4, #4
ADDS	R4, #42
LDR	R1, [SP, #4]
MOV	R0, R4
BL	_SetDWord+0
;Lpix_Main.mpas,89 :: 		SetDWord ( @Pkts.Snd.Buf[cOfs_UDP_Data+4], Eth_Connect.ID );
ADD	R4, R3, #1528
; Pkts end address is: 12 (R3)
ADDS	R4, R4, #4
ADDW	R5, R4, #46
MOVW	R4, #lo_addr(_Eth_Connect+4)
MOVT	R4, #hi_addr(_Eth_Connect+4)
LDR	R4, [R4, #0]
MOV	R1, R4
MOV	R0, R5
BL	_SetDWord+0
;Lpix_Main.mpas,90 :: 		DatLen := 10;
MOVS	R4, #10
STRH	R4, [R7, #0]
; DatLen end address is: 28 (R7)
;Lpix_Main.mpas,91 :: 		end;
L_end__Ether_UDP:
L_end_Ether_UDP:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _Ether_UDP
_Ether_TCP:
;Lpix_Main.mpas,99 :: 		begin
; Pkts start address is: 12 (R3)
SUB	SP, SP, #8
STR	LR, [SP, #0]
; Pkts end address is: 12 (R3)
; Pkts start address is: 12 (R3)
; DatLen start address is: 28 (R7)
LDR	R7, [SP, #8]
;Lpix_Main.mpas,101 :: 		GetDWord ( @Pkts.Rcv.Buf[cOfs_TCP_Data  ], ID );
ADDS	R4, R3, #4
ADDW	R5, R4, #54
ADD	R4, SP, #4
MOV	R1, R4
MOV	R0, R5
BL	_GetDWord+0
;Lpix_Main.mpas,102 :: 		LEDB := (ID <> Eth_Connect.ID);
MOVW	R4, #lo_addr(_Eth_Connect+4)
MOVT	R4, #hi_addr(_Eth_Connect+4)
LDR	R5, [R4, #0]
LDR	R4, [SP, #4]
CMP	R4, R5
MOVW	R6, #0
BEQ	L__Ether_TCP40
MVN	R6, #0
L__Ether_TCP40:
MOVW	R5, #lo_addr(LEDB+0)
MOVT	R5, #hi_addr(LEDB+0)
_LX	[R5, ByteOffset(LEDB+0)]
BFI	R4, R6, BitPos(LEDB+0), #1
_SX	[R5, ByteOffset(LEDB+0)]
;Lpix_Main.mpas,104 :: 		If Pkts.Rcv.Buf[cOfs_TCP_Data+8] = $00 then Exit;
ADDS	R4, R3, #4
ADDS	R4, #62
LDRB	R4, [R4, #0]
CMP	R4, #0
IT	NE
BNE	L__Ether_TCP15
; Pkts end address is: 12 (R3)
; DatLen end address is: 28 (R7)
IT	AL
BAL	L_end__Ether_TCP
L__Ether_TCP15:
;Lpix_Main.mpas,105 :: 		SetDWord ( @Pkts.Snd.Buf[cOfs_TCP_Data  ], ID );
; DatLen start address is: 28 (R7)
; Pkts start address is: 12 (R3)
ADD	R4, R3, #1528
ADDS	R4, R4, #4
ADDS	R4, #54
LDR	R1, [SP, #4]
MOV	R0, R4
BL	_SetDWord+0
;Lpix_Main.mpas,106 :: 		SetDWord ( @Pkts.Snd.Buf[cOfs_TCP_Data+4], Eth_Connect.ID );
ADD	R4, R3, #1528
; Pkts end address is: 12 (R3)
ADDS	R4, R4, #4
ADDW	R5, R4, #58
MOVW	R4, #lo_addr(_Eth_Connect+4)
MOVT	R4, #hi_addr(_Eth_Connect+4)
LDR	R4, [R4, #0]
MOV	R1, R4
MOV	R0, R5
BL	_SetDWord+0
;Lpix_Main.mpas,107 :: 		DatLen := 10;
MOVS	R4, #10
STRH	R4, [R7, #0]
; DatLen end address is: 28 (R7)
;Lpix_Main.mpas,108 :: 		end;
L_end__Ether_TCP:
L_end_Ether_TCP:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _Ether_TCP
_main:
;Lpix_Main.mpas,110 :: 		begin
;Lpix_Main.mpas,111 :: 		GPIO_Init;
BL	_GPIO_Init+0
;Lpix_Main.mpas,112 :: 		HID_Enable(@USB_Rcv,@USB_Snd);
MOVW	R1, #lo_addr(_USB_Snd+0)
MOVT	R1, #hi_addr(_USB_Snd+0)
MOVW	R0, #lo_addr(_USB_Rcv+0)
MOVT	R0, #hi_addr(_USB_Rcv+0)
BL	_HID_Enable+0
;Lpix_Main.mpas,114 :: 		Ether_Init  ( Eth_Config ); // Setup Mac,IP,....
MOVW	R0, #lo_addr(_Eth_Config+0)
MOVT	R0, #hi_addr(_Eth_Config+0)
BL	_Ether_Init+0
;Lpix_Main.mpas,115 :: 		Ether_Start ( Eth_Config ); // Setup Hardware
MOVW	R0, #lo_addr(_Eth_Config+0)
MOVT	R0, #hi_addr(_Eth_Config+0)
BL	_Ether_Start+0
;Lpix_Main.mpas,116 :: 		Ether_DHCP  ( Eth_Config ); // DHCP
MOVW	R0, #lo_addr(_Eth_Config+0)
MOVT	R0, #hi_addr(_Eth_Config+0)
BL	_Ether_DHCP+0
;Lpix_Main.mpas,118 :: 		Tick_Cnt  := 0;
MOVS	R1, #0
SXTH	R1, R1
MOVW	R0, #lo_addr(_Tick_Cnt+0)
MOVT	R0, #hi_addr(_Tick_Cnt+0)
STRH	R1, [R0, #0]
;Lpix_Main.mpas,119 :: 		System_Tick_ms(10);
VMOV.F32	S0, #10
BL	_System_Tick_ms+0
;Lpix_Main.mpas,121 :: 		While(true) do
L__main19:
;Lpix_Main.mpas,124 :: 		Ether_Process;
BL	_Ether_Process+0
;Lpix_Main.mpas,126 :: 		USB_Polling_Proc();
BL	_USB_Polling_Proc+0
;Lpix_Main.mpas,127 :: 		If (HID_Read() <> 0) then
BL	_HID_Read+0
CMP	R0, #0
IT	EQ
BEQ	L__main24
;Lpix_Main.mpas,129 :: 		'a' : LedB := Not(LedB);
MOVW	R0, #lo_addr(_USB_Rcv+0)
MOVT	R0, #hi_addr(_USB_Rcv+0)
LDRB	R0, [R0, #0]
CMP	R0, #97
IT	NE
BNE	L__main29
MOVW	R0, #lo_addr(LEDB+0)
MOVT	R0, #hi_addr(LEDB+0)
_LX	[R0, ByteOffset(LEDB+0)]
UBFX	R0, R1, BitPos(LEDB+0), #1
EOR	R2, R0, #1
MOVW	R1, #lo_addr(LEDB+0)
MOVT	R1, #hi_addr(LEDB+0)
_LX	[R1, ByteOffset(LEDB+0)]
BFI	R0, R2, BitPos(LEDB+0), #1
_SX	[R1, ByteOffset(LEDB+0)]
IT	AL
BAL	L__main26
L__main29:
;Lpix_Main.mpas,130 :: 		'b' : HID_Write(@USB_Snd,64);
MOVW	R0, #lo_addr(_USB_Rcv+0)
MOVT	R0, #hi_addr(_USB_Rcv+0)
LDRB	R0, [R0, #0]
CMP	R0, #98
IT	NE
BNE	L__main32
MOVS	R1, #64
MOVW	R0, #lo_addr(_USB_Snd+0)
MOVT	R0, #hi_addr(_USB_Snd+0)
BL	_HID_Write+0
IT	AL
BAL	L__main26
L__main32:
L__main26:
;Lpix_Main.mpas,131 :: 		end;
L__main24:
;Lpix_Main.mpas,132 :: 		end;
IT	AL
BAL	L__main19
;Lpix_Main.mpas,133 :: 		end.
L_end_main:
L__main_end_loop:
B	L__main_end_loop
; end of _main
